import { BrowserModule } from '@angular/platform-browser';
import { NgModule , Injector } from '@angular/core';
import { createCustomElement } from '@angular/elements';
import { SamplepurchaseComponent } from './samplepurchase/samplepurchase.component';

@NgModule({
  declarations: [SamplepurchaseComponent],
  imports: [BrowserModule],
  entryComponents: [SamplepurchaseComponent]
})
export class samplePOModule {
  constructor(private injector: Injector) {
    const samplePO= createCustomElement(SamplepurchaseComponent, { injector });
    customElements.define('sample-purchase', samplePO);
  }

  ngDoBootstrap() {}
}
